= kmc_tools-filter(1)

== NAME

kmc_tools-filter - filter out reads with too small number of k-mers

== SYNOPSIS

*kmc_tools filter* <kmc_input_db> [kmc_input_db_params] <input_read_set> [input_read_set_params] <output_read_set> [output_read_set_params]

== DESCRIPTION

This command filters out reads with too small number of k-mers.


== OPTIONS

 For k-mers database there are additional parameters:

  *-ci<value>*::
    exclude k-mers occurring less than <value> times
  *-cx<value>*::
    exclude k-mers occurring more of than <value> times

For the input set of reads there are additional parameters:

  *-ci<value>*::
    remove reads containing less k-mers than value. It can be integer or floating number in range [0.0;1.0]
  *-ci<value>*::
    remove reads containing more k-mers than value. It can be integer or floating number in range [0.0;1.0]
  *-f<a/q>*::
    input in FASTA format (-fa), FASTQ format (-fq); default: FASTQ

 For the output set of reads there are additional parameters:

   *-f<a/q>*::
     output in FASTA format (-fa), FASTQ format (-fq); default: same as input

== EXAMPLE

    kmc_tools filter kmc_db -ci3 input.fastq -ci0.5 -cx1.0 filtered.fastq
    kmc_tools filter kmc_db input.fastq -ci10 -cx100 filtered.fastq

== AUTHOR

KMC was originally written by:

 - Sebastian Deorowicz (sebastian.deorowicz@polsl.pl)

 - Marek Kokot

 - Szymon Grabowski

 - Agnieszka Debudaj-Grabysz

== COPYING

KMC is a free software distributed under GNU GPL3 licence for academic,
research, and commercial use.
